#!/usr/bin/env python

"""
Simple built-in classes and functions.

Copyright (C) 2005, 2006, 2007, 2008 Paul Boddie <paul@boddie.org.uk>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
"""

class object:
    def __init__(self): pass
    def __bool__(self): pass
    def __iadd__(self, other): pass

class bool:
    def __bool__(self): pass
    def __str__(self): pass

class buffer:
    def __init__(self, size): pass
    def append(self, s): pass
    def __str__(self): pass

class dict:
    def __init__(self, *args): pass
    def __setitem__(self, key, value): pass
    def __getitem__(self, key): pass

class file:
    def write(self, s): pass

class float:
    def __init__(self, number_or_string=None): pass
    def __iadd__(self, other): pass
    def __isub__(self, other): pass
    def __add__(self, other): pass
    def __radd__(self, other): pass
    def __sub__(self, other): pass
    def __rsub__(self, other): pass
    def __mul__(self, other): pass
    def __rmul__(self, other): pass
    def __div__(self, other): pass
    def __rdiv__(self, other): pass
    def __floordiv__(self, other): pass
    def __rfloordiv__(self, other): pass
    def __mod__(self, other): pass
    def __pow__(self, other): pass
    def __rpow__(self, other): pass
    def __lt__(self, other): pass
    def __gt__(self, other): pass
    def __le__(self, other): pass
    def __ge__(self, other): pass
    def __eq__(self, other): pass
    def __ne__(self, other): pass
    def __neg__(self): pass
    def __pos__(self): pass
    def __str__(self): pass
    def __bool__(self): pass

class int:
    def __init__(self, number_or_string=None): pass
    def __iadd__(self, other): pass
    def __isub__(self, other): pass
    def __add__(self, other): pass
    def __radd__(self, other): pass
    def __sub__(self, other): pass
    def __rsub__(self, other): pass
    def __mul__(self, other): pass
    def __rmul__(self, other): pass
    def __div__(self, other): pass
    def __rdiv__(self, other): pass
    def __floordiv__(self, other): pass
    def __rfloordiv__(self, other): pass
    def __mod__(self, other): pass
    def __pow__(self, other): pass
    def __and__(self, other): pass
    def __rand__(self, other): pass
    def __or__(self, other): pass
    def __ror__(self, other): pass
    def __xor__(self, other): pass
    def __rxor__(self, other): pass
    def __lt__(self, other): pass
    def __gt__(self, other): pass
    def __le__(self, other): pass
    def __ge__(self, other): pass
    def __eq__(self, other): pass
    def __ne__(self, other): pass
    def __neg__(self): pass
    def __pos__(self): pass
    def __str__(self): pass
    def __bool__(self): pass

class list:
    def __init__(self, args=()): pass
    def __getitem__(self, index): pass
    def __setitem__(self, index, value): pass
    def __getslice__(self, start, end=None): pass
    def __setslice__(self, start, end, slice): pass
    def append(self, value): pass
    def __len__(self): pass
    def __add__(self, other): pass
    def __iadd__(self, other): pass
    def __str__(self): pass
    def __iter__(self): pass
    def __bool__(self): pass

class long:
    def __init__(self, number_or_string=None): pass
    def __iadd__(self, other): pass
    def __isub__(self, other): pass
    def __add__(self, other): pass
    def __radd__(self, other): pass
    def __sub__(self, other): pass
    def __rsub__(self, other): pass
    def __mul__(self, other): pass
    def __rmul__(self, other): pass
    def __div__(self, other): pass
    def __rdiv__(self, other): pass
    def __floordiv__(self, other): pass
    def __rfloordiv__(self, other): pass
    def __and__(self, other): pass
    def __rand__(self, other): pass
    def __or__(self, other): pass
    def __ror__(self, other): pass
    def __xor__(self, other): pass
    def __rxor__(self, other): pass
    def __lt__(self, other): pass
    def __gt__(self, other): pass
    def __le__(self, other): pass
    def __ge__(self, other): pass
    def __eq__(self, other): pass
    def __ne__(self, other): pass
    def __neg__(self): pass
    def __pos__(self): pass
    def __str__(self): pass
    def __bool__(self): pass

class none:
    def __bool__(self): pass
    def __str__(self): pass

NoneType = none

class slice:
    def __init__(self, start_or_end, end=None, step=None): pass

class str:
    def __init__(self, x=None): pass
    def __getitem__(self, index): pass
    def __getslice__(self, start, end=None): pass
    def __iadd__(self, other): pass
    def __add__(self, other): pass
    def __radd__(self, other): pass
    def __mul__(self, other): pass
    def __radd__(self, other): pass
    def __mod__(self, other): pass
    def __lt__(self, other): pass
    def __gt__(self, other): pass
    def __le__(self, other): pass
    def __ge__(self, other): pass
    def __eq__(self, other): pass
    def __ne__(self, other): pass
    def __len__(self): pass
    def __str__(self): pass
    def __bool__(self): pass
    def join(self, l): pass

class tuple:
    def __init__(self, args): pass
    def __getitem__(self, index): pass
    def __getslice__(self, start, end=None): pass
    def __len__(self): pass
    def __add__(self, other): pass
    def __str__(self): pass
    def __iter__(self): pass
    def __bool__(self): pass

class xrange:
    def __init__(self, start_or_end, end=None, step=1): pass
    def __iter__(self): pass
    def next(self): pass

class Exception:
    def __init__(self, *args): pass

class AssertionError(Exception):
    pass

class AttributeError(Exception):
    pass

class IndexError(Exception):
    pass

class StopIteration(Exception):
    pass

class TypeError(Exception):
    pass

class NotImplementedType:
    pass

# General functions.

def isinstance(obj, cls): pass
def issubclass(cls1, cls2): pass
def len(x): pass
def max(*l): pass
def range(start_or_end, end=None, step=None): pass

# Special values.

True = bool()
False = bool()
None = none()
stdin = file()
stdout = file()
stderr = file()
NotImplemented = NotImplementedType()

# vim: tabstop=4 expandtab shiftwidth=4
